Package org.eclipse.mat.hprof

## Class IHprofParserHandler.HeapObject

- java.lang.Object
- - org.eclipse.mat.hprof.IHprofParserHandler.HeapObject

Enclosing interface:
  IHprofParserHandler

    public static class IHprofParserHandler.HeapObject
    extends java.lang.Object

### Field Summary

Fields
`int` `arraySize`
`long` `classIdOrElementType`
`ClassImpl` `clazz`
`long` `filePosition`
`long[]` `ids`
`int` `idSize`
`byte[]` `instanceData`
`boolean` `isObjectArray`
`boolean` `isPrimitiveArray`
`long` `objectAddress`
`ArrayLong` `references`
`long` `usedHeapSize`

### Constructor Summary

Constructors
`HeapObject()`
`HeapObject​(int refs)`
`HeapObject​(long objectAddress, ClassImpl clazz, long usedHeapSize)`

### Method Summary

All Methods Static Methods Concrete Methods
`static IHprofParserHandler.HeapObject` `forInstance​(long objectAddress, long classID, byte[] instanceData, long filePosition, int idSize)`
`static IHprofParserHandler.HeapObject` `forObjectArray​(long objectAddress, long classID, int arraySize, long[] ids, long filePosition)`
`static IHprofParserHandler.HeapObject` `forPrimitiveArray​(long objectAddress, byte elementType, int arraySize, long filePosition)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### objectAddress

    public long objectAddress

#### clazz

    public ClassImpl clazz

#### usedHeapSize

    public long usedHeapSize

#### references

    public ArrayLong references

#### isObjectArray

    public boolean isObjectArray

#### isPrimitiveArray

    public boolean isPrimitiveArray

#### filePosition

    public long filePosition

#### classIdOrElementType

    public long classIdOrElementType

#### arraySize

    public int arraySize

#### ids

    public long[] ids

#### instanceData

    public byte[] instanceData

#### idSize

    public int idSize

### Constructor Detail

#### HeapObject

    public HeapObject()

#### HeapObject

    public HeapObject​(int refs)

#### HeapObject

    public HeapObject​(long objectAddress,
                      ClassImpl clazz,
                      long usedHeapSize)

### Method Detail

#### forPrimitiveArray

    public static IHprofParserHandler.HeapObject forPrimitiveArray​(long objectAddress,
                                                                   byte elementType,
                                                                   int arraySize,
                                                                   long filePosition)

#### forObjectArray

    public static IHprofParserHandler.HeapObject forObjectArray​(long objectAddress,
                                                                long classID,
                                                                int arraySize,
                                                                long[] ids,
                                                                long filePosition)

#### forInstance

    public static IHprofParserHandler.HeapObject forInstance​(long objectAddress,
                                                             long classID,
                                                             byte[] instanceData,
                                                             long filePosition,
                                                             int idSize)